/* ==================== */
/* BASE BUTTON    */
/* ==================== */
.btn {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  padding: 16px 24px;
  width: 100%;
  cursor: pointer;
  text-decoration: none;
  box-sizing: border-box;
  transition: opacity 0.2s ease, transform 0.1s ease;
}

.btn:active {
  transform: scale(0.98);
}

/* ==================== */
/* PRIMARY BUTTON       */
/* ==================== */
.btn-primary {
  border-radius: 32px;
  color: var(--button-primary-foreground);
  box-shadow: 0 6px 8px var(--button-primary-shadow);
  
  /* Truque do CSS para borda com degradê */
  border: 2px solid transparent;
  background: 
    /* Fundo interno (Padding Box) */
    linear-gradient(to right, var(--button-primary-background-start), var(--button-primary-background-end)) padding-box,
    /* Fundo da borda (Border Box) */
    linear-gradient(to right, var(--button-primary-border-start), var(--button-primary-border-end)) border-box;
}

/* ==================== */
/* SECONDARY BUTTON     */
/* ==================== */
.btn-secondary {
  border-radius: 32px;
  color: var(--button-secondary-foreground);
  
  border: 2px solid transparent;
  background: 
    linear-gradient(to right, var(--button-secondary-background), var(--button-secondary-background)) padding-box,
    linear-gradient(to right, var(--button-secondary-border-start), var(--button-secondary-border-end)) border-box;
}

/* ==================== */
/* SOCIAL BUTTON        */
/* ==================== */
.btn-social {
  border-radius: 16px;
  color: var(--button-secondary-foreground);
  
  border: 2px solid transparent;
  background: 
    linear-gradient(to right, var(--button-secondary-background), var(--button-secondary-background)) padding-box,
    linear-gradient(to right, var(--button-secondary-border-start), var(--button-secondary-border-end)) border-box;
}

/* Ajuste de tamanho dos ícones */
/* Rever isso aqui depois */
.btn svg, 
.btn i {
  width: 24px;
  height: 24px;
  font-size: 24px;
}